org.eclipse.cdt.utils

## Class Platform

- java.lang.Object
- - org.eclipse.cdt.utils.Platform

    public final class Platform
    extends Object

Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `OS_LINUX`

### Constructor Summary

Constructors
Constructor and Description
`Platform()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.osgi.framework.Bundle` `getBundle(String symbolicName)`
`static String` `getOS()`
`static String` `getOSArch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OS_LINUX

    public static final String OS_LINUX

See Also:
  Constant Field Values

### Constructor Detail

#### Platform

    public Platform()

### Method Detail

#### getBundle

    public static org.osgi.framework.Bundle getBundle(String symbolicName)

#### getOS

    public static String getOS()

#### getOSArch

    public static String getOSArch()